- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::Thread Class Reference

The Thread abstract class defines an interface which must be implemented by classes wishing to be run as threads. More...

`#include <thread.h>`

List of all members.

## Public Member Functions
virtual void | run ()=0
| This is called with the Thread is run from a ThreadGrp.
## Static Public Member Functions
static void * | run_Thread_run (void *thread)

## Detailed Description

The Thread abstract class defines an interface which must be implemented by classes wishing to be run as threads.

The documentation for this class was generated from the following file:

- thread.h